Update priority of an approval policy
curl --request PATCH \
--url https://api.dots.dev/api/v2/accounts-payable/approval-policies/{approval_policy_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"priority": 123
}
'import requests
url = "https://api.dots.dev/api/v2/accounts-payable/approval-policies/{approval_policy_id}"
payload = { "priority": 123 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({priority: 123})
};
fetch('https://api.dots.dev/api/v2/accounts-payable/approval-policies/{approval_policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"api_app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_conditions": [
{
"approver_list": [
{
"id": 123,
"name": "<string>"
}
],
"num_approvals_required": 123
}
],
"payable_conditions": [
{
"comparator": "<string>",
"type": "<unknown>",
"value": 123
}
],
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123
}accounts-payable
Update priority of an approval policy
Update the priority of an approval policy by its ID
PATCH
/
v2
/
accounts-payable
/
approval-policies
/
{approval_policy_id}
Update priority of an approval policy
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the Approval Policy
Body
application/json
The priority of the approval policy.
Was this page helpful?
⌘I

